hcrypto_misc(3)

NAME
hcrypto_misc - hcrypto miscellaneous functions

SYNOPSIS

  Functions
int PKCS5_PBKDF2_HMAC (const void *password, size_t password_len, const void *salt, size_t salt_len, unsigned long iter, const EVP_MD *md, size_t keylen, void *key)
int PKCS5_PBKDF2_HMAC_SHA1 (const void *password, size_t password_len, const void *salt, size_t salt_len, unsigned long iter, size_t keylen, void *key)

Detailed Description

Function Documentation

  int PKCS5_PBKDF2_HMAC (const void * password, size_t password_len, const void * salt, size_t salt_len, unsigned long iter, const EVP_MD * md, size_t keylen, void * key)
As descriped in PKCS5, convert a password, salt, and iteration counter into a crypto key.

Parameters
    password Password.
    password_len Length of password.
    salt Salt
    salt_len Length of salt.
    iter iteration counter.
    md the digest function.
    keylen the output key length.
    key the output key.

Returns
    1 on success, non 1 on failure.

  int PKCS5_PBKDF2_HMAC_SHA1 (const void * password, size_t password_len, const void * salt, size_t salt_len, unsigned long iter, size_t keylen, void * key)
As descriped in PKCS5, convert a password, salt, and iteration counter into a crypto key.

Parameters
    password Password.
    password_len Length of password.
    salt Salt
    salt_len Length of salt.
    iter iteration counter.
    keylen the output key length.
    key the output key.

Returns
    1 on success, non 1 on failure.

Author

Generated automatically by Doxygen for Heimdal crypto library from the source code.